<?php


namespace Natz\AccountVerify\Setup;

use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\InstallSchemaInterface;
use Magento\Framework\Setup\SchemaSetupInterface;

class InstallSchema implements InstallSchemaInterface
{

    /**
     * {@inheritdoc}
     */
    public function install(
        SchemaSetupInterface $setup,
        ModuleContextInterface $context
    ) {
        $installer = $setup;
        $installer->startSetup();

        $table_natz_accountverify_smslogs = $setup->getConnection()->newTable($setup->getTable('natz_accountverify_smslogs'));

        
        $table_natz_accountverify_smslogs->addColumn(
            'smslogs_id',
            \Magento\Framework\DB\Ddl\Table::TYPE_INTEGER,
            null,
            array('identity' => true,'nullable' => false,'primary' => true,'unsigned' => true,),
            'Entity ID'
        );
        

        
        $table_natz_accountverify_smslogs->addColumn(
            'ver_name',
            \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
            100,
            [],
            'Name'
        );

        $table_natz_accountverify_smslogs->addColumn(
            'ver_email',
            \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
            100,
            [],
            'Email'
        );
        

        
        $table_natz_accountverify_smslogs->addColumn(
            'mobile_number',
            \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
            100,
            [],
            'Mobile Number'
        );
        

        
        $table_natz_accountverify_smslogs->addColumn(
            'ver_code',
            \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
            100,
            [],
            'Verification Code'
        );
        

        
        $table_natz_accountverify_smslogs->addColumn(
            'sent_date',
            \Magento\Framework\DB\Ddl\Table::TYPE_TIMESTAMP,
            null,
            [],
            'Sending Date'
        );
        

        
        $table_natz_accountverify_smslogs->addColumn(
            'ver_status',
            \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
            100,
            [],
            'Verification Status'
        );
        

        
        $table_natz_accountverify_smslogs->addColumn(
            'date_verified',
            \Magento\Framework\DB\Ddl\Table::TYPE_TIMESTAMP,
            null,
            [],
            'Date_verified'
        );
        
        $table_natz_accountverify_smslogs->addIndex(
                $installer->getIdxName('smslog',
                    ['mobile_number','ver_email'],
                    \Magento\Framework\DB\Adapter\AdapterInterface::INDEX_TYPE_UNIQUE
                ),
                ['mobile_number','ver_email'],
                ['type' => \Magento\Framework\DB\Adapter\AdapterInterface::INDEX_TYPE_UNIQUE]
            );


        $setup->getConnection()->createTable($table_natz_accountverify_smslogs);

        $setup->endSetup();
    }
}
